mqseries_connx
mqseries_get
mqseries Functions
PHP Manual

# mqseries_disc

(PECL mqseries:0.10.0-0.9.0)

mqseries_disc — MQSeries MQDISC

### Description

mqseries_disc ( resource `$hconn` , resource `$compCode` , resource `$reason` )

The mqseries_disc() (MQDISC) call breaks the connection between the queue manager and the application program, and is the inverse of the mqseries_conn() (MQCONN) or mqseries_connx() (MQCONNX) call.

### Parameters

`hConn`

  Connection handle.

  This handle represents the connection to the queue manager.

`compCode`

  Completion code.

`reason`

  Reason code qualifying the compCode.

### Return Values

No value is returned.

### Examples

Example #1 mqseries_disc() example

`<?php
mqseries_disc($conn, $comp_code, $reason);
if ($comp_code !== MQSERIES_MQCC_OK) {
printf("disc CompCode:%d Reason:%d Text:%s<br>\n", $comp_code, $reason, mqseries_strerror($reason));
}
?>`

### See Also

- mqseries_conn()
- mqseries_connx()

mqseries_connx
mqseries_get
mqseries Functions
PHP Manual